English French [qt-devnet.developpez.com]

Building PySide on OS X

PySide uses the CMake build system to build the source code packages. If you are not familiar with CMake, have a look at our PySide_CMake_Primer before going further.

Getting the source code

The latest source code tarballs for the PySide components can be acquired from PySideDownloads. Alternatively, if you are interested in the latest and greatest, you might want to clone our Gitorious repository [qt.gitorious.org].

Prerequisites

  • Xcode – Developer Tools [developer.apple.com] Follow the instructions on the site to install
  • CMake >= 2.6.0 (OBS: cmake 2.8.2 does not work for me with python2.7)
  • Qt libraries and development headers >= 4.6 (preferably the latest stable release)
  • Python libraries and development headers >= 2.5 (for shiboken and pyside)
  • Optional
    • Git (necessary to get the source code)
      • Git 1.7 [git-osx-installer.googlecode.com]
    • (Documentation) libxml2 and development headers >= 2.6.32 (for apiextractor only)
    • (Documentation) libxslt and development headers >= 1.1.19 (for apiextractor only)

Building and installing

To build the components, follow the instructions in PySide_CMake_Primer for every source code package (apiextractor, generatorrunner, shiboken, pyside).

In the most basic case (building with default options, installing into the /usr/local tree), running the following commands in each directory should be sufficient:

  1. mkdir build
  2. cd build
  3. cmake ..
  4. make
  5. sudo make install

Remember:
If you are installing the libs in a non default system dir you need specify this new location using the var ‘DYLD_LIBRARY_PATH’:

  1. export DYLD_LIBRARY_PATH=~/work/install/lib

Some flags you can use on cmake command

  • -DCMAKE_BUILD_TYPE=[Release|Debug]
    This can be used to specify which kind of library do you want, if you are only using PySide use Release
  • -DCMAKE_INSTALL_PREFIX=[Prefix]
    Used to specify a different install directory (Remember to export DYLD_LIBRARY_PATH to the same location)
  • -DALTERNATIVE_QT_INCLUDE_DIR=[Qt Include dir] (I use: /Library/Frameworks/)
    In cmake 2.6 version there is a problem with QT_INCLUDE_DIR exported on OS X then is recommended use this flag with ‘/Library/Frameworks/’ to avoid generation problems.
  • -DSITE_PACKAGE=[Site packages dir] (i.e., /Library/Python/2.6/site-packages)
    Use this flag to specify the Python site-packages directory where ‘make install’ will install the packages.

Categories: